﻿define([
    "dojo/_base/declare",
    "epi/shell/command/_Command",
    "epi/shell/_ContextMixin"
], function (declare, _Command, _ContextMixin) {

    return declare([_Command, _ContextMixin], {
        contentQuery: null,
        label: "Create New Translation Project",

        iconClass: "epi-iconPlus",

        constructor: function () {
            // Set the model to the initial context.
            this.set("model", this._currentContext);
        },

        _execute: function () {
            $('.loadingDiv').fadeIn(500);
            var x = this.contentQuery;
            this.store.put(this.model.id).then(function (item) {
                x.set("queryParameters", { workspace: 1, page: 1 });
                x.set("queryName", "WorkspaceQuery");

                if (typeof LionBridgeConnectorGrid !== "undefined" && typeof LionBridgeConnectorJs !== "undefined") {
                    LionBridgeConnectorGrid.clearFilter();
                    LionBridgeConnectorJs.onSetArchiving(true);
                    LionBridgeConnectorGrid.onToggleArchivingView('#archive6bb3b40543354773812682476d110c8f');
                    //LionBridgeConnectorGrid.onReloadGrid();
                }

                if (item !== undefined && item.itemLink !== undefined && item.itemLink !== '') {
                    window.location.href = item.itemLink;
                }

                $('.loadingDiv').fadeOut(500);
            });
        },

        _onModelChange: function () {
            this.set("canExecute", !!this.model);
        },

        contextChanged: function (context) {
            // Update the model to the new context when it changes.
            this.set("model", context);
        }
    });
})